View Issue Details

IDProjectCategoryView StatusLast Update
0003199SymmetricDSImprovementpublic2017-07-19 16:24
ReportermaxwellpettitAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.27 
Target Version3.8.28Fixed in Version3.8.28 
Summary0003199: Support 'NaN' Datatype for Numeric Columns in Postgres
DescriptionUsing the value of 'NaN' in a numeric column on PostgreSQL causes an error
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 4cfc50b2

2017-07-18 10:02:50

maxwellpettit

Details Diff
0003199: Support 'NaN' Datatype for Numeric Columns in Postgres
0003199
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: 3.8 71e45ee6

2017-07-18 12:17:31

maxwellpettit

Details Diff
0003199: Support 'NaN' Datatype for Numeric Columns in Postgres
0003199
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File

SymmetricDS: 3.8 a5772a95

2017-07-18 14:59:21

maxwellpettit

Details Diff
0003199: Support 'NaN' Datatype for Numeric Columns in Postgres
0003199
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2017-07-13 11:03 maxwellpettit New Issue
2017-07-13 11:03 maxwellpettit Status new => assigned
2017-07-13 11:03 maxwellpettit Assigned To => maxwellpettit
2017-07-18 12:32 maxwellpettit Status assigned => resolved
2017-07-18 12:32 maxwellpettit Fixed in Version => 3.8.29
2017-07-18 12:32 maxwellpettit Resolution open => fixed
2017-07-18 12:33 maxwellpettit Status resolved => feedback
2017-07-18 12:33 maxwellpettit Resolution fixed => reopened
2017-07-18 12:33 maxwellpettit Status feedback => resolved
2017-07-18 12:33 maxwellpettit Fixed in Version 3.8.29 => 3.8.28
2017-07-18 12:33 maxwellpettit Resolution reopened => fixed
2017-07-18 13:00 maxwellpettit Changeset attached => SymmetricDS 3.8 71e45ee6
2017-07-18 13:00 maxwellpettit Changeset attached => SymmetricDS 3.8 4cfc50b2
2017-07-18 15:00 maxwellpettit Changeset attached => SymmetricDS 3.8 a5772a95
2017-07-19 16:24 chenson Status resolved => closed